# For partial relocation of files to avoid conflict with gpgme package.
%define rootprefix	%{_libdir}/gpgme03

Summary:        GnuPG Made Easy interface library
Name:           gpgme03
Version:        0.3.16
Release:        11%{?dist}
License:        GPL
Group:          Applications/System
Source:         ftp://ftp.gnupg.org/gcrypt/gpgme/gpgme-0.3.16.tar.gz
Patch:          gpgme-0.3.16-select.patch
Patch1:         gpgme-0.3.16-underquoted.patch
Patch2:         gpgme-0.3.16-macro.patch
Patch3:         gpgme-0.3.16-relocate.patch
URL:            http://www.gnupg.org/related_software/gpgme/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gnupg >= 1.2.0
Requires:       gnupg >= 1.2.0

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%package        devel
Summary:        Software development files for GnuPG Made Easy
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description    devel
Static library, object and header files for GnuPG Made Easy (GPGME).


%prep
%setup -q -n gpgme-%{version}
%patch -p1 -b .select
%patch1 -p1 -b .underquoted
%patch2 -p1 -b .macro
%patch3 -p1 -b .relocate


%build
%configure --with-pth=no --without-gpgsm \
    --bindir=%{rootprefix}/bin \
    --includedir=%{rootprefix}/include \
    --libdir=%{rootprefix}/lib
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}
rm -f $RPM_BUILD_ROOT{%{_infodir}/dir,%{_libdir}/*.la}

# Relocation and renaming:
mv $RPM_BUILD_ROOT%{_datadir}/info/gpgme{.info,03.info}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT%{rootprefix}/lib/libgpgme.so.* $RPM_BUILD_ROOT%{_libdir}
# Keep run-time libs in original libdir and link build-time lib to there.
rm -f  $RPM_BUILD_ROOT%{rootprefix}/lib/libgpgme{.so,.la}
ln -s libgpgme.a $RPM_BUILD_ROOT%{rootprefix}/lib/libgpgme03.a
ln -s %{_libdir}/libgpgme.so.6 $RPM_BUILD_ROOT%{rootprefix}/lib/libgpgme.so
ln -s %{_libdir}/libgpgme.so.6 $RPM_BUILD_ROOT%{rootprefix}/lib/libgpgme03.so
sed -i 's!lgpgme!lgpgme03!' $RPM_BUILD_ROOT%{rootprefix}/bin/gpgme-config


%check || :
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gpgme.info %{_infodir}/dir 2>/dev/null || :

%postun devel
if [ $1 -eq 0 ] ; then
  /sbin/install-info --delete %{_infodir}/gpgme.info \
     %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS TODO VERSION
%{_libdir}/libgpgme.so.*

%files devel
%defattr(-,root,root,-)
%dir %{rootprefix}
%dir %{rootprefix}/bin
%{rootprefix}/bin/gpgme-config
%dir %{rootprefix}/include
%{rootprefix}/include/gpgme.h
%dir %{rootprefix}/lib
%{rootprefix}/lib/libgpgme*.a
%{rootprefix}/lib/libgpgme*.so
%{_datadir}/aclocal/gpgme.m4
%{_infodir}/gpgme03.info*


%changelog
* Sat Sep 02 2006 Dennis Gilmore <dennis@ausil.us> - 0.3.16-11
- Rebuild for FC6

* Tue Feb 14 2006 Dennis Gilmore <dennis@ausil.us> - 0.3.16-10
- Rebuild for FC5

* Thu Dec 22 2005 Dennis Gilmore <dennis@ausil.us> - 0.3.16-9
- rebuild with gcc 4.1

* Fri Mar 18 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.3.16-8
- Fix build for FC4.
- Remove conflict with gpgme packages (relocate files in -devel
  package, rename .info file and rename macro in .m4 file).
  This is not as clean as I wanted it to be. But other -devel
  packages in FC pollute the linker's search path with leading
  -L%_libdir options, which makes parallel installation of multiple
  library versions unnecessarily complicated.

* Sun Jan 16 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.3.16-7
- Disable GPGSM, remove /usr/bin/gpgsm dependency.
  None of our GPGME 0.3.x API users need this.

* Thu Jan  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.3.16-6
- Fix underquoted definition in gpgme.m4.

* Tue Nov 30 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.3.16-5
- Drop BR pth-devel and build --with-pth=no. It is neither used nor
  linked against libpth. configure.ac does a negative check for pth 1.2.0
  (see config.log) and pth >= 2.0.0 which is checked by configure later,
  is not used either.

* Fri Nov 12 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.3.16-4
- Add patch to fix fd race/lockup in key editing interface.

* Sun May  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.16-0.fdr.3
- Require %%{_bindir}/gpgsm instead of newpg.
- Cosmetic spec file improvements.
- Move install-info dependency to -devel.
- Do not fail with --excludedocs installs.

* Sat Dec 06 2003 Dennis Gilmore <dennis@ausil.us> 0:0.3.16-0.fdr.2
- Spec file clean up, update description

* Tue Dec 02 2003 Dennis Gilmore <dennis@ausil.us> 0:0.3.16-0.fdr.1
- upgrade to 0.3.16, remove virtual providesas it seems to be causing bugs now

* Wed Apr 23 2003 Warren Togami <warren@togami.com> 0:0.3.15-0.fdr.2
- newpg BuildRequire 0.9.0 -> 0.9.2

* Sun Apr 13 2003 Dennis Gilmore <dennis@aust.homelinux.net> 0.3.15-0.fdr.1
- build gpgme3 for use with cryptplug for kmail gpg  plugin

* Sat Mar 22 2003 Ville Skytt?<ville.skytta at iki.fi> - 0:0.4.0-0.fdr.1
- Update to current Fedora guidelines.
- Exclude %%{_libdir}/*.la.

* Tue Feb 12 2003 Warren Togami <warren@togami.com> 0.4.0-1.fedora.3
- info/dir temporary workaround

* Sat Feb  8 2003 Ville Skytt?<ville.skytta at iki.fi> - 0.4.0-1.fedora.1
- First Fedora release.
